---
#values file for stash deployment
#https://github.com/k8s-at-home/charts/blob/master/charts/stable/stash/values.yaml
#https://github.com/stashapp/stash

image:
  repository: stashapp/stash
  tag: v0.30.1

ingress:
  main:
    enabled: false
    annotations:
      cert-manager.io/cluster-issuer: letsencrypt-production

    hosts:
      - host: stash.xai-corp.net
        paths:
          - path: /
    tls: # < placing a host in the TLS config will determine what ends up in the cert's subjectAltNames
      - secretName: xai-corp-production-tls
        hosts:
          - stash.xai-corp.net

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  config:
    enabled: true
    mountPath: /root/.stash
    accessMode: ReadWriteOnce
#    size: 1Gi
    existingClaim: stash-pv-claim
#    subPath:

  media:
    enabled: false
    mountPath: /media
    accessMode: ReadWriteOnce
    size: 1Gi
#    existingClaim: stash-pv-claim
#    subPath:
